# $Revision: 1.25 $, $Date: 2010/11/13 00:20:47 $
%define		module	pyOpenSSL
Summary:	Binding of OpenSSL for Python
Summary(pl.UTF-8):	Interfejs OpenSSL dla Pythona
Name:		python-%{module}
Version:	0.9
Release:	2
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pyopenssl/%{module}-%{version}.tar.gz
# Source0-md5:	5bf282b2d6a03af921920c34079580f2
Patch0:		%{module}-0.8-pkcs12.patch
Patch1:		%{module}-0.8-crl.patch
Patch2:         %{module}-0.8-pkcs12_cafile.patch
URL:		http://pyopenssl.sourceforge.net/
BuildRequires:	lynx
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	tetex-latex
BuildRequires:	tetex-metafont
%pyrequires_eq	python-modules
Obsoletes:	python-OpenSSL
Obsoletes:	python-pyOpenSSL-doc
Obsoletes:	python-pyOpenSSL-doc-html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python interface to the OpenSSL library.

%description -l pl.UTF-8
Interfejs Pythona do biblioteki OpenSSL.

%package examples
Summary:	Examples for pyOpenSSL module
Summary(pl.UTF-8):	Przykłady do modułu pyOpenSSL
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyOpenSSL Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyOpenSSL.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitedir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm -f {} \;

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO 
%dir %{py_sitedir}/OpenSSL
%dir %{py_sitedir}/OpenSSL/test
%attr(755,root,root) %{py_sitedir}/OpenSSL/*.so
%{py_sitedir}/OpenSSL/*.py[oc]
%{py_sitedir}/OpenSSL/test/*.py[oc]
%{py_sitedir}/*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyOpenSSL.spec,v $
Revision 1.25  2010/11/13 00:20:47  pawelz
- release 2

Revision 1.24  2010/09/24 23:48:18  emes
- up to 0.9

Revision 1.23  2010/07/08 08:33:29  arekm
- release 4

Revision 1.22  2010/04/12 19:29:30  arekm
- release 3

Revision 1.21  2009/05/12 14:24:30  glen
- release 2

Revision 1.20  2009/03/30 08:54:39  duddits
- up to 0.8
- patches for 0.8 updated with Arnaud Desmons' consent <arnaud dot desmons at free dot fr>
- %build
- %files

Revision 1.19  2009/03/14 00:09:30  hawk
- release 6

Revision 1.18  2008/10/03 17:58:26  arekm
- release 5

Revision 1.17  2008-05-07 18:06:22  qboosh
- BR: rpm-pythonprov

Revision 1.16  2007-10-09 18:48:13  beorn
- Added patches by Arnaud Desmons for pyOpenSSL (with authors permission). Description of changes can be reviewed here: http://arnaud.desmons.free.fr/wordpress/index.php?s=openssl&submit=Search

Revision 1.15  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.13  2007/01/28 15:15:42  qboosh
- python epoch

Revision 1.12  2007/01/27 22:55:05  arekm
- rel 3; don't regenerate docs; these are already there; drop doc subpackages

Revision 1.11  2004/12/26 17:04:55  saq
- release 2 for rebuild with python 2.4

Revision 1.10  2004/08/25 14:23:55  qboosh
- needs openssl 0.9.7

Revision 1.9  2004/08/25 13:27:19  qboosh
- pyrequires_eq python-modules (from python-OpenSSL.spec)

Revision 1.8  2004/08/25 13:24:41  qboosh
- Obsoletes: python-OpenSSL

Revision 1.7  2004/08/19 00:48:30  troll
- cosmetics

Revision 1.6  2004/08/16 07:00:56  zboczuch
- version 0.6
- license-warning-patch is no longer needed

Revision 1.5  2004/08/05 00:24:33  troll
- added cvs vars

Revision 1.4  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/07/26 19:57:14  paszczus
- added missing BR: tetex-metafont

Revision 1.2  2004/05/21 18:31:15  qboosh
- missing dir

Revision 1.1  2004/05/20 20:07:06  zboczuch
- initial
